Skip to main content

List all scheduled jobs

GET 

/api/v1/ActionJob

Returns every job, including one-time, recurring and disabled jobs. The list can be long on large installations. To page through the recurring schedules shown in the console, use the search route.

Permission required: Administrator role with multi-factor authentication completed, or the application role.

Values for type: 0 = None, 1 = Protection, 2 = PasswordRotation, 3 = PasswordVerification, 4 = HostScan, 5 = DomainSync, 6 = DomainSyncTest, 7 = ActivitySession, 8 = RemoteServiceRegistration, 9 = ServiceRotation, 10 = PasswordRollback, 11 = DomainOUMapping, 12 = ResourceConnectionTest, 13 = WinRmHttp, 14 = Report, 15 = Debug, 16 = CommandPlanRun.

Values for recurrenceType: 0 = None, 1 = Minutes, 2 = Daily, 3 = Weekly, 4 = Monthly.

Values for dayOfWeek: 0 = Sunday, 1 = Monday, 2 = Tuesday, 3 = Wednesday, 4 = Thursday, 5 = Friday, 6 = Saturday.

Values for managedObjectType: 0 = HostUser, 1 = HostService, 2 = HostScheduledTask.

Request​

Responses​

An array of jobs.